Debian Bug report logs - #598080
debootstrap: Empty devices.tar.gz

version graph

Package: debootstrap; Maintainer for debootstrap is Debian Install System Team <debian-boot@lists.debian.org>; Source for debootstrap is src:debootstrap.

Reported by: intrigeri@boum.org

Date: Sun, 26 Sep 2010 08:39:01 UTC

Severity: important

Found in version debootstrap/1.0.24

Fixed in version debootstrap/1.0.25

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#598080; Package debootstrap. (Sun, 26 Sep 2010 08:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri@boum.org:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 26 Sep 2010 08:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: intrigeri@boum.org
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debootstrap: Empty devices.tar.gz
Date: Sun, 26 Sep 2010 10:34:56 +0200
Package: debootstrap
Version: 1.0.24
Severity: important

Hi,

now that makedev has priority extra instead of required,
the existence of basic devices nodes in a debootstrapped chroot (such
as /dev/random) purely relies on what is in the devices.tar.gz
provided by the debootstrap binary package.

1.0.23 had a bunch of devices in there.
However, 1.0.24's devices.tar.gz only contains an empty dev/ directory.
This breaks e.g. builds of Live images using Debian Live.

I haven't investigated this issue enough to tell the cause of the
problem. A somewhat unclean build environment might be involved, since
rebuilding from the source package in my sid chroot (using pbuilder
and cowbuilder) produces a binary package that has a devices tarball
full of usefull. Same when building from SVN.

(Temporary workarounds: downgrade to 1.0.23 or use cdebootstrap.)

Bye,

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages debootstrap depends on:
ii  wget                          1.12-2.1   retrieves files from the web

Versions of packages debootstrap recommends:
ii  gnupg                         1.4.10-4   GNU privacy guard - a free PGP rep

debootstrap suggests no packages.

-- no debconf information

--
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr-fingerprint.asc
  | Then we'll come from the shadows.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#598080; Package debootstrap. (Sun, 26 Sep 2010 16:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 26 Sep 2010 16:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 598080@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: intrigeri@boum.org, 598080@bugs.debian.org
Subject: Re: Bug#598080: debootstrap: Empty devices.tar.gz
Date: Sun, 26 Sep 2010 12:33:35 -0400
[Message part 1 (text/plain, inline)]
intrigeri@boum.org wrote:
> I haven't investigated this issue enough to tell the cause of the
> problem. A somewhat unclean build environment might be involved

I can't see how, nor can I reproduce it in that same build environment.

All I can think is that MAKEDEV somehow didn't create devices, or
fakeroot ate them, but I can't see how.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#598080; Package debootstrap. (Sun, 26 Sep 2010 16:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 26 Sep 2010 16:54:05 GMT) Full text and rfc822 format available.

Message #15 received at 598080@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Joey Hess <joeyh@debian.org>
Cc: 598080@bugs.debian.org, intrigeri@boum.org
Subject: Re: Bug#598080: debootstrap: Empty devices.tar.gz
Date: Sun, 26 Sep 2010 18:50:13 +0200
On 2010-09-26 18:33 +0200, Joey Hess wrote:

> intrigeri@boum.org wrote:
>> I haven't investigated this issue enough to tell the cause of the
>> problem. A somewhat unclean build environment might be involved
>
> I can't see how, nor can I reproduce it in that same build environment.
>
> All I can think is that MAKEDEV somehow didn't create devices, or
> fakeroot ate them, but I can't see how.

The top-level Makefile sets MAKEDEV to /dev/MAKEDEV if that exists, and
if udev is installed /dev/MAKEDEV is a symlink to /bin/true.

Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#598080; Package debootstrap. (Sun, 26 Sep 2010 17:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 26 Sep 2010 17:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 598080@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Sven Joachim <svenjoac@gmx.de>, 598080@bugs.debian.org
Cc: intrigeri@boum.org
Subject: Re: Bug#598080: debootstrap: Empty devices.tar.gz
Date: Sun, 26 Sep 2010 13:14:03 -0400
[Message part 1 (text/plain, inline)]
Sven Joachim wrote:
> On 2010-09-26 18:33 +0200, Joey Hess wrote:
> 
> > intrigeri@boum.org wrote:
> >> I haven't investigated this issue enough to tell the cause of the
> >> problem. A somewhat unclean build environment might be involved
> >
> > I can't see how, nor can I reproduce it in that same build environment.
> >
> > All I can think is that MAKEDEV somehow didn't create devices, or
> > fakeroot ate them, but I can't see how.
> 
> The top-level Makefile sets MAKEDEV to /dev/MAKEDEV if that exists, and
> if udev is installed /dev/MAKEDEV is a symlink to /bin/true.

Ok, so if a system is *booted* without makedev installed, udev makes
MAKEDEV be /bin/true. Then, installing makedev doesn't fix the symlink,
until next boot; then it will point to /sbin/MAKEDEV. 

What a nasty gotcha. Clearly debootstrap needs to use /sbin/MAKEDEV.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. (Sun, 26 Sep 2010 17:33:12 GMT) Full text and rfc822 format available.

Notification sent to intrigeri@boum.org:
Bug acknowledged by developer. (Sun, 26 Sep 2010 17:33:13 GMT) Full text and rfc822 format available.

Message #25 received at 598080-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 598080-close@bugs.debian.org
Subject: Bug#598080: fixed in debootstrap 1.0.25
Date: Sun, 26 Sep 2010 17:32:07 +0000
Source: debootstrap
Source-Version: 1.0.25

We believe that the bug you reported is fixed in the latest version of
debootstrap, which is due to be installed in the Debian FTP archive:

debootstrap-udeb_1.0.25_all.udeb
  to main/d/debootstrap/debootstrap-udeb_1.0.25_all.udeb
debootstrap_1.0.25.dsc
  to main/d/debootstrap/debootstrap_1.0.25.dsc
debootstrap_1.0.25.tar.gz
  to main/d/debootstrap/debootstrap_1.0.25.tar.gz
debootstrap_1.0.25_all.deb
  to main/d/debootstrap/debootstrap_1.0.25_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598080@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debootstrap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 26 Sep 2010 13:18:31 -0400
Source: debootstrap
Binary: debootstrap debootstrap-udeb
Architecture: source all
Version: 1.0.25
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 debootstrap - Bootstrap a basic Debian system
 debootstrap-udeb - Bootstrap the Debian system (udeb)
Closes: 598080
Changes: 
 debootstrap (1.0.25) unstable; urgency=low
 .
   * Remove debug statement that slipped in.
   * Add test to guard against devices.tar.gz being empty.
   * /dev/MAKEDEV cannot be relied on (udev likes to make it a symlink to
     true). Always use /sbin/MAKEDEV. Closes: #598080
Checksums-Sha1: 
 b84ff44b5bf3aae248ada8a55b0efe32d8640f86 1652 debootstrap_1.0.25.dsc
 0a056e0e4d60d97b6629512b277d73192a623eef 54446 debootstrap_1.0.25.tar.gz
 5069ff12a63fb604a4cd9212e2af8bf4cb931ac5 56482 debootstrap_1.0.25_all.deb
 75aff3caa09a68323a2e462fe7bbdecab57f207c 19146 debootstrap-udeb_1.0.25_all.udeb
Checksums-Sha256: 
 e5d96979c909498bef6958f9e23cb20426b301e5553e9aa1759835e151b41bdf 1652 debootstrap_1.0.25.dsc
 85919b35e82f109f143a13c4e92c2ef83c36e46feec32738290640aa8a58f70a 54446 debootstrap_1.0.25.tar.gz
 a23b8d19b0098d4e2e215cd792c51434df1f6fc501958d5dc7f7b3d1b9aab447 56482 debootstrap_1.0.25_all.deb
 e607be37f293c9d6a5d5d3d81b805c55d91c0a290e973a4d7cb7e93af4651aef 19146 debootstrap-udeb_1.0.25_all.udeb
Files: 
 f6444040ac557afde1b4d731268fb2ea 1652 admin extra debootstrap_1.0.25.dsc
 200bbbe101c5901b4f0072ac90a945e2 54446 admin extra debootstrap_1.0.25.tar.gz
 6274443f145538b9ac14272093f8e7df 56482 admin extra debootstrap_1.0.25_all.deb
 6db292d8a7e1a6d5cbad74595be9a362 19146 debian-installer extra debootstrap-udeb_1.0.25_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTJ+BWskQ2SIlEuPHAQhn2A//bQ/2kIFylep7AOrirmcc41++kCnOucUs
E8bykgnEZjb26WylZjCQJRfa3f2uwuJ/zyS6NpsOndv8HbbN6LAkKxiBeKcVixEd
4Dsz12meWCYt8PVObO6MuELc8ZMvxutqrg0TfSIeGTUSep6WJE9qzBJpleYHiWRj
1PZVRuY3ycRzcTOas6feK8jOf/Y1HoJWKdJU9tiX1ndDpFfMrlSQG5Swp/cF4/Oi
jxaE9G7/THfeXCgee0NX1eNVEZ+ibFLBMTeZwv2R3oxsADHLccnKwZXHkip9mVTF
FnMAM/bGC8WmJoKtdars+soX89VKk3UjzlD7vOqg3XgPp4sxHQJwBTIWqxPjOZ1A
iXWU9u9rfKGeXhdDN0P6LnesDfa+X2HzjEu6tYwgsbNkyvguLYHVvVuG0m0LX7CI
/KYdGw4khRtKtu5pJYMEe0SkA3nkBmRAqarGIJHDypsPb3IM+6gdOEvbmjp/DXxp
jNstORmnzfO/TsxlIaq9v73mAIHjug+Tz8zvCaUhXRlU2QsQBkGlleHtMiUdHblm
E2yrCgcfy3CltgCJaxo7KkZQ+0nQYM3qlRtcpvivU6n8yyQRDO+X+mLQkTKFV5aS
rFvHRNrf9tvLOkh5pW2Jz0gkF0bgoLQiI+9bDDkgtscUaM6HG1v4t+LLOl96vKNU
qCCvVmFdsk4=
=yvqC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Oct 2010 07:34:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:32:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.